.openModal {
  cursor: pointer;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.mt-4.openModal:hover {
  background-color: #555555 !important;
}

.text-underline {
  text-decoration: underline;
}

#register {
  cursor: pointer;
}

#register:hover {
  color: #555555;
  text-decoration: underline;
}

.loginBtn {
  cursor: pointer;
}

.loginBtn:hover {
  color: #313131;
  text-decoration: underline;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
  background-color: #FFFFFF;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #898989;
  border-radius: 30px;
  width: 90%;
  max-width: 650px;
  top: 40%;
  transform: translateY(-50%);
}

@media (max-width: 992px) {
  #modalLogin > .modal-content {
    top: 50%;
  }
  #modalRegister > .modal-content {
    top: 60%;
  }
}
/* The Close Icon Button */
.close,
.closeRegister,
.cursor-pointer {
  cursor: pointer;
  color: #898989;
  float: right;
  font-size: 28px;
  cursor: pointer;
}

.close:hover,
.close:focus,
.closeRegister :hover,
.closeRegister :focus {
  color: #313131;
  text-decoration: none;
}

.login-password label {
  margin-right: 120px;
}

.all-unset {
  all: unset !important;
  cursor: pointer !important;
}

.registerPassword {
  width: 100%;
  border: 1px solid #313131;
  border-radius: 6px;
  padding: 0.5rem 1rem;
  line-height: 1.5rem;
}

.input-wrapper {
  position: relative;
}

label.moveLabelRegister {
  -webkit-transform: translateY(-0.8rem);
  -ms-transform: translateY(-0.8rem);
  transform: translateY(-0.8rem);
  padding-left: 5px;
  padding-right: 5px;
  background-color: white;
  font-size: 12px;
  opacity: 1;
}

.woocommerce-privacy-policy-text {
  padding-left: 0 !important;
  padding-right: 0 !important;
  margin-top: 0.5rem !important;
  margin-bottom: 0.5rem !important;
}
.woocommerce-privacy-policy-text > p {
  font-size: 12px;
}

body input.empty-orange {
  border: 1px solid #FDC341 !important;
}

body input.invalid {
  border: 1px solid #D44040 !important;
}

body input.valid {
  border: 1px solid #50B748 !important;
}

.success-text {
  color: #50B748;
}

.success-button {
  display: inline-block;
  color: #FFFFFF;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  cursor: pointer;
  user-select: none;
  border: 1px solid transparent;
  border-radius: 10px;
  padding: 0.375rem 0.75rem;
  border-radius: 0.25rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  background: #50B748;
}

.success-button:hover {
  background-color: #107C11;
}

.background-green {
  color: #50B748;
  border: 5px solid #50B748;
  border-radius: 50%;
  font-size: 2.5rem;
}

.error-text {
  color: #D44040;
}

.error-button {
  display: inline-block;
  color: #FFFFFF;
  cursor: pointer;
  border: 1px solid transparent;
  border-radius: 10px;
  padding: 0.375rem 0.75rem;
  border-radius: 0.25rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  background: #D44040;
}

.error-button:hover {
  background-color: #BC1D1D;
}

.background-error {
  color: #D44040;
  border: 5px solid #D44040;
  background-color: #D44040;
  border-radius: 50%;
  font-size: 2.5rem;
}
.background-error path {
  color: #FFFFFF;
}

.submitRegister.ms-2:disabled {
  background-color: #E5E5E5;
  color: #898989;
  font-weight: 400;
}

.required-field::before {
  font-family: "Font Awesome 5 Free";
  display: inline-block;
  vertical-align: middle;
  font-weight: 900;
  font-style: normal !important;
}

.d-inline.mt-2 > .required-field {
  position: unset;
}

.position-relative.w-100 > .required-field {
  position: absolute;
  top: 40px;
  right: 6px;
}

.required-field {
  position: absolute;
  top: 30px;
  right: 6px;
}

.required-field.checkmark::before {
  content: "\f00c";
  color: #50B748;
  margin-right: 0.5rem !important;
}

.required-field.warning::before {
  content: "\f06a";
  color: #FDC341;
  margin-right: 0.5rem !important;
}

.required-field.error::before {
  content: "\f057";
  color: #D44040;
  margin-right: 0.5rem !important;
}

#modalRegister {
  margin-top: 5%;
}